#
# Conditional build:
%bcond_with	tests	# unit tests (not in sdist)

Summary:	General purpose proxy and wrapper types
Summary(pl.UTF-8):	Proxy i typy obudowujące ogólnego przeznaczenia
Name:		python3-objproxies
Version:	0.9.4
Release:	1
License:	PSF, ZPL
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/objproxies/
Source0:	https://files.pythonhosted.org/packages/source/o/objproxies/objproxies-%{version}.tar.gz
# Source0-md5:	cc6108a5a0b74fd89a90c87ee58849d3
URL:		https://pypi.org/project/objproxies/
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The objproxies module provides some useful base classes for creating
proxies and wrappers for ordinary Python objects. Proxy objects
automatically delegate all attribute access and operations to the
proxied object. Wrappers are similar, but can be subclassed to allow
additional attributes and operations to be added to the wrapped
object.

%description -l pl.UTF-8
Moduł objproxies zapewnia kilka przydatnych klas bazowych do tworzenia
proxy i obudowań dla zwykłych obiektów Pythona. Obiekty proxy
automatycznie delegują cały dostęp i operacje na atrybutach do obiektu
zastępowanego. Obudowania są podobne, ale można ich używać do podklas
i pozwalają na dodawanie dodatkowych atrybutów i operacji do
obudowanego obiektu.

%prep
%setup -q -n objproxies-%{version}

%build
%py3_build

%if %{with tests}
%{__python3} -m unittest objproxies_tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%{py3_sitescriptdir}/objproxies.py
%{py3_sitescriptdir}/__pycache__/objproxies.cpython-*.py[co]
%{py3_sitescriptdir}/objproxies-%{version}-py*.egg-info
%changelog
* Thu Jul 03 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-objproxies.git;a=log;h=master

* Thu Jul 03 2025 Jakub Bogusz <qboosh@pld-linux.org> 34cc9d0
- new

